Get the list of transactions
Returns the list of transactions from account account_id linked to bank connection bank_connection_id for consumer consumer_id.
GET
/
consumers
/
{consumer_id}
/
banks
/
{bank_connection_id}
/
accounts
/
{bank_account_id}
/
transactions
Get the list of transactions
curl --request GET \
--url https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"amount": 123,
"currency": "EUR",
"raw_label": "<string>",
"executed_at": "2023-11-07T05:31:56Z",
"type": "bank",
"is_realtime": false,
"label": "<string>",
"truncated_pan": "<string>",
"country_code": "<string>",
"state": "cleared",
"channel": "store",
"brand": {
"id": "<string>",
"name": "<string>",
"mcc": "<string>",
"address": "<string>",
"city": "<string>",
"post_code": "<string>",
"country": "<string>",
"category_code": "<string>",
"public_reference": "<string>"
},
"store": {
"id": "<string>",
"post_code": "<string>",
"city": "<string>",
"address": "<string>",
"country": "<string>",
"name": "<string>",
"category_code": "<string>",
"public_reference": "<string>",
"merchant_id": "<string>"
},
"scheme": "visa",
"authorization_id_response": "1A2B3C",
"retrieval_reference_number": "1A2B3C4D5E6F",
"truncated_dpan": "<string>"
}
],
"meta": {
"links": {
"first": "/api/example?page=1&per_page=50",
"last": "/api/example?page=5&per_page=50",
"self": "/api/example?page=3&per_page=50",
"next": "/api/example?page=4&per_page=50",
"prev": "/api/example?page=2&per_page=50"
},
"page": 1,
"per_page": 50,
"total": 1000
}
}{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
Query Parameters
Was this page helpful?
⌘I
Get the list of transactions
curl --request GET \
--url https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"amount": 123,
"currency": "EUR",
"raw_label": "<string>",
"executed_at": "2023-11-07T05:31:56Z",
"type": "bank",
"is_realtime": false,
"label": "<string>",
"truncated_pan": "<string>",
"country_code": "<string>",
"state": "cleared",
"channel": "store",
"brand": {
"id": "<string>",
"name": "<string>",
"mcc": "<string>",
"address": "<string>",
"city": "<string>",
"post_code": "<string>",
"country": "<string>",
"category_code": "<string>",
"public_reference": "<string>"
},
"store": {
"id": "<string>",
"post_code": "<string>",
"city": "<string>",
"address": "<string>",
"country": "<string>",
"name": "<string>",
"category_code": "<string>",
"public_reference": "<string>",
"merchant_id": "<string>"
},
"scheme": "visa",
"authorization_id_response": "1A2B3C",
"retrieval_reference_number": "1A2B3C4D5E6F",
"truncated_dpan": "<string>"
}
],
"meta": {
"links": {
"first": "/api/example?page=1&per_page=50",
"last": "/api/example?page=5&per_page=50",
"self": "/api/example?page=3&per_page=50",
"next": "/api/example?page=4&per_page=50",
"prev": "/api/example?page=2&per_page=50"
},
"page": 1,
"per_page": 50,
"total": 1000
}
}{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}